Skip to main content
PATCH
/
api
/
v1
/
projects
/
{project_id}
/
tasks
/
{task_id}
Update Project Task
curl --request PATCH \
  --url https://api.example.com/api/v1/projects/{project_id}/tasks/{task_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "is_completed": true,
  "task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "notes": "<string>"
}
'
{
  "title": "<string>",
  "position": 123,
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "task_type_slug": "<string>",
  "category_slug": "<string>",
  "suggested_budget_usd": 123,
  "is_supported": true,
  "is_completed": false,
  "depends_on": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "parallel_group": "<string>",
  "notes": "<string>",
  "task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string<uuid>
required
task_id
string<uuid>
required

Body

application/json
is_completed
boolean | null
task_id
string<uuid> | null
notes
string | null

Response

Successful Response

title
string
required
position
integer
required
id
string<uuid>
required
project_id
string<uuid>
required
created_at
string<date-time>
required
task_type_slug
string | null
category_slug
string | null
suggested_budget_usd
number | null
is_supported
boolean
default:true
is_completed
boolean
default:false
depends_on
string<uuid>[]
parallel_group
string | null
notes
string | null
task_id
string<uuid> | null